<?php
// Page de traitement des forms
/*
Copyright (C) 2007 Mercier Benjamin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 
*/
// Inclusion du core
require ('system/core.php'); 

if ( VerifGET ("id", "#[0-9]+#i", 1, 5) == "ChaineValide" )
	{
	
	// Login au panel
	if ( $_GET['id'] == '1' )
		{
		VerifProvenance ("kelio.org");
		require ('system/librairie/lib.auth.php');
		}
	
	// Ajout d'une base de donnée
	elseif ( $_GET['id'] == '2' )
		{
		VerifDroit ();
		VerifProvenance("Page-MySql-AjoutBdd.html");
		require ('system/librairie/mysql/ajoutbdd.php');
		}
		
	// Suppression d'une base de donnée
	elseif ( $_GET['id'] == '3' )
		{
		VerifDroit ();
		VerifProvenance("Page-MySql-SuppressionBdd.html");
		require ('system/librairie/mysql/suppressionbdd.php');
		}
	
	// Ajout d'un compte ftp
	elseif ( $_GET['id'] == '4' )
		{
		VerifDroit ();
		VerifProvenance ("Page-Ftp-AjoutCompte.html");
		require ('system/librairie/ftp/ajoutcompte.php');
		}
	
	// Suppression d'un compte ftp
	elseif ( $_GET['id'] == '5' )
		{
		VerifDroit ();
		VerifProvenance ("Page-Ftp-SuppressionCompte.html");
		require ('system/librairie/ftp/suppressioncompte.php');
		}
		
	// Ajout d'un domaine externe
	elseif ( $_GET['id'] == '6' )
		{
		VerifDroit ();
		VerifProvenance ("Page-Domaine-AjoutDomaineExterne.html");
		require ('system/librairie/domaine/ajoutdomaine.php');
		}
	
	// Suppression d'un domaine
	elseif ( $_GET['id'] == '7' )
		{
		VerifDroit ();
		VerifProvenance ("Page-Domaine-SuppressionDomaineExterne.html");
		require ('system/librairie/domaine/suppressiondomaine.php');
		}
	
	// Ajout d'un compte email
	elseif ( $_GET['id'] == '8' )
		{
		VerifDroit ();
		VerifProvenance ("Page-Email-AjoutCompte.html");
		require ('system/librairie/email/ajoutcompte.php');
		}
		
	// Ajout d'un alias
	elseif ( $_GET['id'] == '9' )
		{
		VerifDroit ();
		VerifProvenance ("Page-Email-AjoutAlias.html");
		require ('system/librairie/email/ajoutalias.php');
		}

	// Suppression d'un compte ou d'un alias
	elseif ( $_GET['id'] == '10' )
		{
		VerifDroit ();
		VerifProvenance ("Page-Email-Suppression.html");
		require ('system/librairie/email/suppression.php');
		}
		
	// Aucun form
	else
		{
		$_SESSION['Resultat'] = "Aucune action effectuée";
		Redirect ('resultat.html');
		}
		
	}
else
	{
	Redirect ('http://www.kelio.org');
	}
	
?>